Bug 69058 - EGIStec ES603 scanning errors
Summary: EGIStec ES603 scanning errors
Status: RESOLVED MOVED
Alias: None
Product: libfprint
Classification: Unclassified
Component: libfprint (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: libfprint-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-06 23:04 UTC by Thomas Rohloff
Modified: 2018-05-31 08:56 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
fprint_demo capture (26.73 KB, image/png)
2016-10-02 17:52 UTC, Nicolas FRANÇOIS
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Rohloff 2013-09-06 23:04:28 UTC
When I ry to scan a finger (with fprintd-enroll or fprintd-verify) most of the time it says "Enroll result: enroll-unknown-error" before I even touch the sensor.

Debug information of fprintd:
$ /usr/libexec/fprintd -t
Launching FprintObject
** Message: D-Bus service launched with name: net.reactivated.Fprint
** Message: entering main loop
** Message: user 'taxi' claiming the device: 0
** Message: now monitoring fd 10
** Message: device 0 claim status 0
** Message: start enrollment device 0 finger 7
** Message: enroll_stage_cb: result -22
** Message: no longer monitoring fd 10
** Message: released device 0
Comment 1 Patrick Marlier 2013-11-09 09:34:26 UTC
Could you build libfprint with debug enabled and then send me the log? Then I can try to figure out why you get this.

Thanks in advance.


(In reply to comment #0)
> When I ry to scan a finger (with fprintd-enroll or fprintd-verify) most of
> the time it says "Enroll result: enroll-unknown-error" before I even touch
> the sensor.
> 
> Debug information of fprintd:
> $ /usr/libexec/fprintd -t
> Launching FprintObject
> ** Message: D-Bus service launched with name: net.reactivated.Fprint
> ** Message: entering main loop
> ** Message: user 'taxi' claiming the device: 0
> ** Message: now monitoring fd 10
> ** Message: device 0 claim status 0
> ** Message: start enrollment device 0 finger 7
> ** Message: enroll_stage_cb: result -22
> ** Message: no longer monitoring fd 10
> ** Message: released device 0
Comment 2 Thomas Rohloff 2013-12-25 04:08:52 UTC
(In reply to comment #1)
> Could you build libfprint with debug enabled and then send me the log?

There you go:

sync:debug [fp_verify_finger_img] to be handled by etes603
async:debug [fp_async_verify_start] 
fp:debug [generic_acquire_start] action 2
etes603:debug [dev_activate] Using previous tuning (DCOFFSET=0x31,VRT=0x0A,VRB=0x10,GAIN=0x23).
fp:debug [fpi_imgdev_activate_complete] status 0
async:debug [fpi_drvcb_verify_started] 
drv:debug [__ssm_call_handler] 0x271b310 entering state 0
drv:debug [__ssm_call_handler] 0x271b310 entering state 1
drv:debug [__ssm_call_handler] 0x271b310 entering state 2
drv:debug [__ssm_call_handler] 0x271b310 entering state 3
drv:debug [__ssm_call_handler] 0x271b310 entering state 4
drv:debug [__ssm_call_handler] 0x271b310 entering state 5
drv:debug [__ssm_call_handler] 0x271b310 entering state 6
drv:debug [__ssm_call_handler] 0x271b310 entering state 7
drv:debug [__ssm_call_handler] 0x271b310 entering state 8
drv:debug [__ssm_call_handler] 0x271b310 entering state 9
drv:debug [__ssm_call_handler] 0x271b310 entering state 10
drv:debug [__ssm_call_handler] 0x271b310 entering state 11
drv:debug [__ssm_call_handler] 0x271b310 entering state 12
drv:debug [__ssm_call_handler] 0x271b310 entering state 13
fp:debug [fpi_imgdev_report_finger_status] finger on sensor
drv:debug [fpi_ssm_mark_completed] 0x271b310 completed with status 0
drv:debug [__ssm_call_handler] 0x271a4a0 entering state 0
etes603:debug [m_capture_state] Capturing a fingerprint...
drv:debug [__ssm_call_handler] 0x271a4a0 entering state 1
drv:debug [__ssm_call_handler] 0x271a4a0 entering state 2
drv:debug [__ssm_call_handler] 0x271a4a0 entering state 3
etes603:debug [m_capture_state] Capturing a 1st frame...
drv:debug [__ssm_call_handler] 0x271a4a0 entering state 4
drv:debug [__ssm_call_handler] 0x271a4a0 entering state 5
etes603:debug [m_capture_state] Capturing a 2nd frame...
drv:debug [__ssm_call_handler] 0x271a4a0 entering state 4
drv:debug [__ssm_call_handler] 0x271a4a0 entering state 5
etes603:debug [process_remove_fp_end] Removing 498 empty lines from image
etes603:debug [process_remove_fp_end] Removing 496 empty lines from image
fp:debug [fpi_img_new] length=0
etes603:debug [m_capture_state] Sending the raw fingerprint image (0x0)
fp:debug [fpi_imgdev_image_captured] 
fp:error [sanitize_image] no image height assigned
fp:debug [fpi_imgdev_report_finger_status] finger removed
async:debug [fpi_drvcb_report_verify_result] result -22
drv:debug [fpi_ssm_mark_completed] 0x271a4a0 completed with status 0
etes603:debug [m_capture_complete] Device is still active, restarting finger detection
drv:debug [__ssm_call_handler] 0x271a4a0 entering state 0
sync:error [fp_verify_finger_img] unrecognised return code -22
sync:debug [fp_verify_finger_img] ending verification
async:debug [fp_async_verify_stop] 
etes603:debug [dev_deactivate] deactivating
etes603:debug [m_exit_start] Switching device to idle mode
drv:debug [__ssm_call_handler] 0x271b310 entering state 0
drv:debug [__ssm_call_handler] 0x271a4a0 entering state 1
drv:debug [fpi_ssm_mark_completed] 0x271a4a0 completed with status 0
drv:debug [__ssm_call_handler] 0x2597ba0 entering state 0
drv:debug [fpi_ssm_mark_completed] 0x2597ba0 completed with status 0
etes603:debug [m_capture_complete] And it's over.
drv:debug [__ssm_call_handler] 0x271b310 entering state 1
drv:debug [fpi_ssm_mark_completed] 0x271b310 completed with status 0
etes603:debug [m_exit_complete] The device is now in idle state
fp:debug [fpi_imgdev_deactivate_complete] 
async:debug [fpi_drvcb_verify_stopped] 
sync:debug [verify_stop_cb]
Comment 3 cono 2016-06-17 15:36:19 UTC
Same issue here. Is there any progress for the past 3 years :)

Installed versions:  0.6.0
Comment 4 Nicolas FRANÇOIS 2016-10-02 17:46:46 UTC
Hi,

Same issue here. Enrollment fails with enroll_stage_cb: result -22

Moreover, capture with fprint_demo seems to indicate a calibration issue(see attachment).

Let me know how I can help.

Best regards,
Nicolas
Comment 5 Nicolas FRANÇOIS 2016-10-02 17:52:03 UTC
Created attachment 126957 [details]
fprint_demo capture
Comment 6 GitLab Migration User 2018-05-31 08:56:28 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/libfprint/libfprint/issues/56.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.